#ifndef _AG7100_PHY_H
#define _AG7100_PHY_H

#include "ag7100.h"

#define RB411_board (mips_machtype == MACH_GROUP_MIPS_AR7100_RB411)

#define phy_reg_read        ag7100_mii_read
#define phy_reg_write       ag7100_mii_write

#ifndef RB411_board

#include "ipPhy.h"

#define TRUE 1
#define FALSE 0

#define BIT(_x) (1 << (_x))

#define ag7100_phy_setup(unit)          ip_phySetup(unit)
#define ag7100_phy_is_up(unit)          ip_phyIsUp(unit)
/* the connection from the ar7130 to us is ALWAYS 100Tx on unit 0 (MII0) */
#define ag7100_phy_speed(unit)          ((unit==0)?AG7100_PHY_SPEED_100TX:ip_phySpeed(unit))
/* the connection from the ar7130 to us is ALWAYS full duplex on unit (0) MII0 */
#define ag7100_phy_is_fdx(unit)         ((unit==0)?TRUE:ip_phyIsFullDuplex(unit))

#endif

#ifdef RB411_board

#include "ksz_phy.h"

#define ag7100_phy_setup(unit)          ksz_phy_setup(unit)
#define ag7100_phy_is_up(unit)          ksz_phy_is_up(unit)
#define ag7100_phy_speed(unit)          ksz_phy_speed(unit)
#define ag7100_phy_is_fdx(unit)         ksz_phy_is_fdx(unit)

#endif

/*#else

#include "rtPhy.h"

#define ag7100_phy_setup(unit)          rt_phySetup(unit, 0)
#define ag7100_phy_is_up(unit)          rt_phyIsUp(unit)
#define ag7100_phy_speed(unit)          rt_phySpeed(unit)
#define ag7100_phy_is_fdx(unit)         rt_phyIsFullDuplex(unit)

#endif

#define ag7100_phy_is_lan_pkt           athr_is_lan_pkt
#define ag7100_phy_set_pkt_port         athr_set_pkt_port
#define ag7100_phy_tag_len              ATHR_VLAN_TAG_SIZE
#define ag7100_phy_get_counters         athr_get_counters
*/

static inline unsigned int
ag7100_get_link_status(int unit, int *link, int *fdx, ag7100_phy_speed_t *speed)
{
  *link=ag7100_phy_is_up(unit);
  *fdx=ag7100_phy_is_fdx(unit);
  *speed=ag7100_phy_speed(unit);
  return 0;
}

static inline int
ag7100_print_link_status(int unit)
{
  return -1;
}

#endif

